Subject: Re: io.h doesn't get installed by target "headers_install" for mips

From: David Daney <[email-masked]>
Date: Wed, 09 Sep 2009 11:17:23 -0700

Dok Sander wrote:
> Hi,
> 
>  I noticed the absence of the header io.h while trying to build(cross-compile, host i686-pc-linux-gnu) a software(lm-sensors-3.1.1, wants io.h in /sys) for mips. I can find io.h for mips in arch/mips/asm/include/{,sn/} However, io.h doesn't get installed when i do "make ARCH=mips headers_install" on linux 2.6.30.6
> 
>  According to someone on the eglibc mailing list, linux should provide io.h for mips. Is this true?
> 

I don't think so (for two reasons):

1) The things in /usr/include/sys are provided by libc not the kernel.

2) MIPS doesn't have I/O ports, so all the functions in sys/io.h on an 
x86 are undefined for MIPS.

David Daney